diff --git a/Assets/CoolapeFrameData/verControl/IOS/ver4Publish.v b/Assets/CoolapeFrameData/verControl/IOS/ver4Publish.v
index 69eacee..8e4b897 100644
--- a/Assets/CoolapeFrameData/verControl/IOS/ver4Publish.v
+++ b/Assets/CoolapeFrameData/verControl/IOS/ver4Publish.v
@@ -140,10 +140,10 @@ trCRM/upgradeRes4Publish/priority/lua/cfg/DBCfgTool.lua,a6760e05dcc5f91202e36591
 trCRM/upgradeRes4Publish/priority/lua/city/CLLCity.lua,b7ee9fffacb28d09ab08728a49dedc8e
 trCRM/upgradeRes4Publish/priority/lua/db/DBCust.lua,f5d617f7342053a0236bb93b9d1a1e46
 trCRM/upgradeRes4Publish/priority/lua/db/DBMessage.lua,a80d8448cfdaebb072b3d7ec5f40bb60
-trCRM/upgradeRes4Publish/priority/lua/db/DBOrder.lua,f8698b64c77257cf874459dae1999a58
+trCRM/upgradeRes4Publish/priority/lua/db/DBOrder.lua,076cfb6761ed5c0568690aa273d8ee37
 trCRM/upgradeRes4Publish/priority/lua/db/DBRoot.lua,c89d42f4c6ebe72da436e07ee70f69ad
 trCRM/upgradeRes4Publish/priority/lua/db/DBStatistics.lua,e64ad532dabb2cb70c4053e223770969
-trCRM/upgradeRes4Publish/priority/lua/db/DBUser.lua,7f89ba27b59c6a86ce68c9144737f247
+trCRM/upgradeRes4Publish/priority/lua/db/DBUser.lua,f5151070816fc7da19ae939c9533bbf9
 trCRM/upgradeRes4Publish/priority/lua/json/json.lua,a2914572290611d3da35f4a7eec92022
 trCRM/upgradeRes4Publish/priority/lua/json/rpc.lua,28c2f09ceb729d01052d8408eed0b57a
 trCRM/upgradeRes4Publish/priority/lua/json/rpcserver.lua,48b8f5e53a1141652c38f8a5a8a77928
@@ -164,7 +164,7 @@ trCRM/upgradeRes4Publish/priority/lua/toolkit/CLLUpdateUpgrader.lua,bfff3548aa7c
 trCRM/upgradeRes4Publish/priority/lua/toolkit/CLLVerManager.lua,39b154e796d60c2c40ebcc427a5c05e8
 trCRM/upgradeRes4Publish/priority/lua/toolkit/KKLogListener.lua,dd68aa9278468a37c6462d7d0fd342ae
 trCRM/upgradeRes4Publish/priority/lua/toolkit/LuaUtl.lua,96b4f88eea21e061eff2e3f76fbb623b
-trCRM/upgradeRes4Publish/priority/lua/toolkit/MyUtl.lua,a8351f9de5c665db23014cf331f2edb0
+trCRM/upgradeRes4Publish/priority/lua/toolkit/MyUtl.lua,6ea43afa97aadb733ab1c55cb74d0b3d
 trCRM/upgradeRes4Publish/priority/lua/toolkit/curve-families.png,d0b6b9b8a623a188aeae2fb688a8a0e5
 trCRM/upgradeRes4Publish/priority/lua/toolkit/curve.lua,f97735ed6c39accb55cdae44b62b5b38
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLCellToast.lua,6e350721fca8167bd621df86ad982326
@@ -180,11 +180,11 @@ trCRM/upgradeRes4Publish/priority/lua/ui/cell/CSCellBottomBtn.lua,afbf445995d42e
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCompany.lua,b145bc086a8b1657a314622614dcb70a
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustFilter.lua,2fb22f9248e4af86ab42482151a5b141
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustFilterGroup.lua,93cdb67f51a62110b38e133b065f8f85
-trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,86d3ed6429ba39f0a99f2307b5c43854
+trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,121935e641c34f4e3f9293381d7ff359
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustProc.lua,3f9f33de3630a03463952058ba795128
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustStar.lua,ed39330cf68d1e1e062bc8311d1e8d44
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendField.lua,1b18f9bdb869156c26bc4f1131a2dd6c
-trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,1c1a6485c860cfe9ba1552b022347883
+trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,39703716cb222091e69ae0eefbf54f5f
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellGuidPage.lua,7b3c3f567c3e0d92065913101b08ddd0
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellMessageGroup.lua,14a960604f49e2b34e0c115561bb45a3
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellPopCheckbox.lua,25adbf58789186d43c15cfe65d2e8501
@@ -204,7 +204,7 @@ trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPLoginCoolape.lua,5873be60edc8
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPPopList.lua,896c4b35a6cd0d4f86ed5c0ba532ea00
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPSceneManager.lua,b1b848791df37e59bdf7d5acf9cb9273
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPSplash.lua,2f4c84546ec70a42deaf05cc0fd105bb
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPStart.lua,2649c8d1307ea0f0a5404a8ac962f9aa
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPStart.lua,756c08832a0f69ec66e386da4fd35ca7
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWWWProgress.lua,b713ddf9f0af8602ec48f71162181d6d
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWebView.lua,093deec807e28be04df4d593bcff9e38
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CSPMain.lua,24f616b9384dc0eefa9955fabb1d05f1
@@ -215,24 +215,24 @@ trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRBasePanel.lua,dc088058987b435c9
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPConfirm2.lua,bd0ea9f50708dedd598b517c1dfc739f
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPConnect.lua,e6c7e0aafd60eb1de8bf0ab7758bac11
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCusFilter.lua,f0452e3d6cfa59244dc7b9dd8f5a475d
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,bf6d5e77f027d5b9f15d28aaae42dce4
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,3fc6451c6f494803506287fc7a51e755
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustFilter.lua,0725109e55276b5158f6ce642d28dfa6
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustList.lua,51bec42b663bfa0aecd09184717a8e03
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustList.lua,473a578d9811d494d8cf58c7fc6a45b9
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustListProc.lua,1973dc8d949ed85e01b09aff328d1033
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPEditPrice.lua,ceb906ae12222324b9a61f4b83ec7e58
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPGuid.lua,ee29c8c2537cd4c445afe1397450cdae
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPLogin.lua,70894ccf80d88d4261b1b072f1a55f3e
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPLogin.lua,e18549cd43b8e476b5c2d1414594c592
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPModifyFiled.lua,99b250c386ce8dad9c10c8f4fe9874f1
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPMoreProc4Cust.lua,cc11fe3b2530891e91e2c649762d06f8
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewCust.lua,066c0b5bb6ccd06dad11356747664599
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewCust.lua,c93250d622a11f13fae8fecccf4f8ee3
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewFollow.lua,ef981e78f783343271b8c655f358084c
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewOrder.lua,269b8f710565b968f8170deac352ec8e
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewOrder.lua,e86969eceefea0f285634de71eabcfe9
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPPlaySoundRecord.lua,ded1f35f04bd0d84bfa8fd74ddf926aa
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPPopCheckBoxs.lua,508171a924c113573b01a396e8217cc2
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPResetPasswordStep1.lua,def4741f89df3925682e53df01bb70cc
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPResetPasswordStep2.lua,af8af3fde5f3526b36c48517a5da89d0
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPResetPasswordStep3.lua,0d3be662e0a236b709d8f1f9d6b3321e
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSelectCompany.lua,a4ebb94a988f9c6c534703f89efeb7a8
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSelectCompany.lua,28ca57d169af022ec621dece879bdcfc
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSelectProduct.lua,59750609585193c66d08adfa8544d946
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSetting.lua,45f706ba538ab2b39364826b8fc7e214
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPSysMsgDetail.lua,6266494c653deda1b5a391cc7f38a06a
@@ -253,11 +253,11 @@ trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCalender.unity3d,66ce0428f4c
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelConfirm.unity3d,f640423f07bd0d7f4dbb5f0a76c5867c
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelConfirm2.unity3d,ad24a77e6cd58b9d89fd442efdfa05e6
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelConnect.unity3d,8b75761010993e44fabc270719df036e
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustDetail.unity3d,06974302de89832f4b355f09540f8181
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustDetail.unity3d,855f2d538bba57e326e79fa8e84bb733
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustFilter.unity3d,feab38851af1648a9254df68957e776c
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustList.unity3d,74d2b0c504e00a25eeb16bf2f7670b11
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustList.unity3d,135dbf742c2e364d6f47424a98b1c929
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelCustListProc.unity3d,2a3ba4ea9a10c535f8918d67ee1d5a18
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelEditPrice.unity3d,d6360947e5185c12e3224309cf6a1754
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelEditPrice.unity3d,556928848822b2e59c2e1bd0e399281f
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelGuid.unity3d,43ae7eeceb485a4ea356016016238450
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelHotWheel.unity3d,e3508a556e1e6330f6128b4280d5a28f
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelLogin.unity3d,343bc109372a07e69e03826df97bd0b5
@@ -267,10 +267,10 @@ trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelMine.unity3d,88258fa68fe34ff
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelModifyFiled.unity3d,915c4c913d69e73854874ee4de86d293
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelMoreProc4Cust.unity3d,72ba37b4b7b471b2fb423c64f6f8ae1b
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelMsg.unity3d,ac919e26f69de1b592dcad450e895161
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewCust.unity3d,da583f7f3ae74b735739055610dc0b98
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewCust.unity3d,6e2b73078a2cb87f19c614c4708f113b
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewFollow.unity3d,eaf41d7480e0f36f8beb37aa4442b6e1
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewOrder.unity3d,153148ef6086c94aff5088a8423c39d1
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPlaySoundRecord.unity3d,55768dcfcc17809be4ba65884167366b
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPlaySoundRecord.unity3d,c76408e6f71107604dd36f499b9b9ec3
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPopCheckBoxs.unity3d,d80e0a53aae77861d7bba0a84771fd98
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPopList.unity3d,9bd875bf8acc96aabae1fd4e4fe7601a
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelResetPasswordStep1.unity3d,4fc94b9e78d750a20154ff155cfccbfe
